#include <Adafruit_NeoPixel.h>

int sensorValue;
int digitalValue;


#define PIN_NEO_PIXEL  7   // Arduino pin that connects to NeoPixel
#define NUM_PIXELS     33  // The number of LEDs (pixels) on NeoPixel

Adafruit_NeoPixel NeoPixel(NUM_PIXELS, PIN_NEO_PIXEL, NEO_GRBW + NEO_KHZ800);


void setup()
{
  Serial.begin(9600); // sets the serial port to 9600
  pinMode(13, OUTPUT);
  pinMode(2, INPUT);

  NeoPixel.begin(); // INITIALIZE NeoPixel strip object (REQUIRED)
  for (int pixel = 0; pixel < NUM_PIXELS; pixel++) { 
    NeoPixel.setPixelColor(pixel, NeoPixel.Color(0, 255, 0, 0));
  }
  NeoPixel.setBrightness(255); // a value from 0 to 255
  NeoPixel.show();

}

void loop()
{

  sensorValue = analogRead(0); // read analog input pin 0
  digitalValue = digitalRead(2);
  if (sensorValue > 400)
  {
    tone(13, 440);
  }
  else
    noTone(13);

  int color = (sensorValue/1000.0)*255;
  Serial.println(color);

  for (int pixel = 0; pixel < NUM_PIXELS; pixel++) { 
    NeoPixel.setPixelColor(pixel, NeoPixel.Color(color, 0, color, 255-color));
  }
  NeoPixel.setBrightness(255); // a value from 0 to 255
  NeoPixel.show(); 

  Serial.println(sensorValue, DEC); // prints the value read
  //Serial.println(digitalValue, DEC);
  delay(500); // wait 500ms for next reading
}




